﻿using Microsoft.EntityFrameworkCore;
using StaffManagement.Database.Tables;

namespace StaffManagement.Database
{
    /// <summary>
    /// 员工管理数据上下文
    /// </summary>
    public class SMDbContext:DbContext
    {
        /// <summary>
        /// 通过配置的数据库选项获取数据库上下文
        /// </summary>
        /// <param name="options"></param>
        public SMDbContext(DbContextOptions options) : base(options) { }

        /// <summary>
        /// 员工基本信息表
        /// </summary>
        public DbSet<Person> People { get; set; }
    }
}
