﻿namespace StaffManagement.Database.StaticData
{
    /// <summary>
    /// 婚姻状态
    /// </summary>
    public enum MarriageDefinition
    {
        /// <summary>
        /// 未知、未提供
        /// </summary>
        Unknown = 0,
        /// <summary>
        /// 未婚
        /// </summary>
        Unmarried = 1,
        /// <summary>
        /// 已婚
        /// </summary>
        Married = 2,
        /// <summary>
        /// 离异
        /// </summary>
        Divorced = 3,
        /// <summary>
        /// 丧偶
        /// </summary>
        Widowed = 4
    }
}
